@import "src/@fuse/scss/fuse";

#promo-code {
    width: 100%;
    background: url("/assets/images/backgrounds/dark-material-bg.jpg") no-repeat;
    background-size: cover;

    #promo-code-form-wrapper {
        flex: 1 0 auto;
        padding: 32px;

        @include media-breakpoint("xs") {
            padding: 16px;
        }

        #promo-code-form {
            background-color: white;
            width: 384px;
            max-width: 384px;
            text-align: center;
            @include mat-elevation(16);

            @include media-breakpoint("xs") {
                width: 100%;
            }

            .top {
                width: 100%;
                padding: 20px 30px 0 30px;

                @include media-breakpoint("xs") {
                    padding: 24px;
                }

                .logo {
                    width: 100px;
                    margin: 10px auto 20px auto;
                }

                > .title {
                    font-size: 17px;
                    margin-top: 16px;
                }

                .subtitle {
                    margin: 16px auto 0 auto;
                    text-align: center;
                    max-width: 300px;
                    font-size: 15px;
                }

                fuse-countdown {
                    margin: 48px auto 16px auto;
                }
            }

            form {
                width: 100%;
                padding: 32px;
                text-align: center;

                .message {
                    font-weight: 600;
                    margin: 8px auto 32px auto;
                }

                mat-form-field {
                    width: 320px;
                    margin: 0 auto 0 auto;
                }

                .subscribe-button {
                    width: 220px;
                    margin: 0 auto 16px auto;

                    @include media-breakpoint("xs") {
                        width: 90%;
                    }
                }
            }
        }
    }

    .go-to-login {
        text-align: left;
        margin-bottom: 10px;
        margin-top: -10px;
    }
}
